
package Shipment::Temando::WSDL::Elements::updateTrackingDetails;
$Shipment::Temando::WSDL::Elements::updateTrackingDetails::VERSION = '0.18';
use strict;
use warnings;

{    # BLOCK to scope variables

    sub get_xmlns {
        'http://'
          . $Shipment::Temando::WSDL::Interfaces::quoting_Service::quoting_port::ns_url
          . '/schema/2009_06/server.xsd';
    }

    __PACKAGE__->__set_name('updateTrackingDetails');
    __PACKAGE__->__set_nillable();
    __PACKAGE__->__set_minOccurs();
    __PACKAGE__->__set_maxOccurs();
    __PACKAGE__->__set_ref();

    use base qw(
      SOAP::WSDL::XSD::Typelib::Element
      SOAP::WSDL::XSD::Typelib::ComplexType
    );

    our $XML_ATTRIBUTE_CLASS;
    undef $XML_ATTRIBUTE_CLASS;

    sub __get_attr_class {
        return $XML_ATTRIBUTE_CLASS;
    }

    use Class::Std::Fast::Storable constructor => 'none';
    use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

    Class::Std::initialize();

    {    # BLOCK to scope variables

        my %requestId_of : ATTR(:get<requestId>);
        my %bookingNumber_of : ATTR(:get<bookingNumber>);
        my %trackingStatus_of : ATTR(:get<trackingStatus>);
        my %trackingStatusOccurred_of : ATTR(:get<trackingStatusOccurred>);
        my %trackingFurtherDetails_of : ATTR(:get<trackingFurtherDetails>);

        __PACKAGE__->_factory(
            [   qw(        requestId
                  bookingNumber
                  trackingStatus
                  trackingStatusOccurred
                  trackingFurtherDetails

                  )
            ],
            {   'requestId'              => \%requestId_of,
                'bookingNumber'          => \%bookingNumber_of,
                'trackingStatus'         => \%trackingStatus_of,
                'trackingStatusOccurred' => \%trackingStatusOccurred_of,
                'trackingFurtherDetails' => \%trackingFurtherDetails_of,
            },
            {   'requestId' =>
                  'SOAP::WSDL::XSD::Typelib::Builtin::positiveInteger',
                'bookingNumber' =>
                  'Shipment::Temando::WSDL::Types::BookingNumber',
                'trackingStatus' =>
                  'Shipment::Temando::WSDL::Types::TrackingStatus',
                'trackingStatusOccurred' =>
                  'Shipment::Temando::WSDL::Types::Datetime',
                'trackingFurtherDetails' =>
                  'Shipment::Temando::WSDL::Types::TrackingFurtherDetails',
            },
            {

                'requestId'              => 'requestId',
                'bookingNumber'          => 'bookingNumber',
                'trackingStatus'         => 'trackingStatus',
                'trackingStatusOccurred' => 'trackingStatusOccurred',
                'trackingFurtherDetails' => 'trackingFurtherDetails',
            }
        );

    }    # end BLOCK


}    # end of BLOCK


1;

__END__

=pod

=encoding UTF-8

=head1 NAME

Shipment::Temando::WSDL::Elements::updateTrackingDetails

=head1 VERSION

version 0.18

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
updateTrackingDetails from the namespace http://' . $Shipment::Temando::WSDL::Interfaces::quoting_Service::quoting_port::ns_url . '/schema/2009_06/server.xsd.

=head1 NAME

Shipment::Temando::WSDL::Elements::updateTrackingDetails

=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * requestId

 $element->set_requestId($data);
 $element->get_requestId();

=item * bookingNumber

 $element->set_bookingNumber($data);
 $element->get_bookingNumber();

=item * trackingStatus

 $element->set_trackingStatus($data);
 $element->get_trackingStatus();

=item * trackingStatusOccurred

 $element->set_trackingStatusOccurred($data);
 $element->get_trackingStatusOccurred();

=item * trackingFurtherDetails

 $element->set_trackingFurtherDetails($data);
 $element->get_trackingFurtherDetails();

=back

=head1 METHODS

=head2 new

 my $element = Shipment::Temando::WSDL::Elements::updateTrackingDetails->new($data);

Constructor. The following data structure may be passed to new():

 {
   requestId =>  $some_value, # positiveInteger
   bookingNumber => $some_value, # BookingNumber
   trackingStatus => $some_value, # TrackingStatus
   trackingStatusOccurred => $some_value, # Datetime
   trackingFurtherDetails => $some_value, # TrackingFurtherDetails
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=head1 AUTHOR

Andrew Baerg <baergaj@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2013 by Andrew Baerg.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
